#!/usr/bin/env python
import sys, os, time
import urllib.request
import zipfile
#urllib.request.urlretrieve('https://codeload.github.com/Warzone2100/warzone2100/zip/master', 'warzone2100-master.zip')


urllib.request.urlretrieve('https://codeload.github.com/Microsoft/vcpkg/zip/master', 'vcpkg-master.zip')
print("vcpkg downloaded")

vc_zip = zipfile.ZipFile('vcpkg-master.zip')
vc_zip.extractall()
vc_zip.close()
print("vcpkg extracted")

path = os.path.abspath("vcpkg-master/bootstrap-vcpkg.bat")
os.system(path)
print("vcpkg compiled")

path2 = os.path.abspath('vcpkg-master/vcpkg.exe')

os.system((path2 +" install libogg libtheora libvorbis openal-soft sdl2 glew"))
print("libogg libtheora libvorbis openal-soft sdl2 glew   installed")
os.system((path2 +" install physfs harfbuzz libiconv libpng freetype gettext zlib"))
print("physfs harfbuzz libiconv libpng freetype gettext zlib   installed")